## postgresql-9.1 9.1.2

=== debian/changelog ===
postgresql-9.1 (9.1.2-4~bpo50+1) lenny-backports-sloppy; urgency=low

  * Rebuild for lenny-backports-sloppy.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Jan 2012 14:34:00 +0100

postgresql-9.1 (9.1.2-4) unstable; urgency=low

  * Add docbook-xsl, opensp and xsltproc build dependencies.

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Jan 2012 11:57:36 +0100

postgresql-9.1 (9.1.2-3) unstable; urgency=low

  * debian/*.symbols: Update symbol versions to accurate historic data. Many
    thanks to Christoph Berg for these! (Closes: #652931)
  * Add 00git_inet_cidr_unpack.patch: Revert the behavior of inet/cidr
    functions to not unpack the arguments. This fixes the memory leak when
    sorting inet values. Patch taken from upstream git HEAD.
  * debian/control: Add missing docbook-dsssl build dependency to fix
    generation of documentation. (Closes: #654330)
  * debian/control: Use openjade instead of the ancient jade for building the
    documentation.

 -- Martin Pitt <mpitt@debian.org>  Tue, 03 Jan 2012 16:48:21 +0100

postgresql-9.1 (9.1.2-2) unstable; urgency=low

  * 01-armel-tas.patch: Turn slock_t datatype into an int, and define
    S_UNLOCK() to call __sync_lock_release() instead of using the default
    implementation. This complies to the gcc built-in atomic operations
    specifiction more strictly and now also works on the Panda boards.
    (LP: #904828)
  * Replace 01-armel-tas.patch with 01-atomic-builtins.patch to use
    gcc/intel atomic builtins if available. Drop the arm implementation as it
    does not work on newer thumb2/panda board.
  * Move PL/Python translations from -plpython-9.1 package to main
    postgresql-9.1 package, as they are also used by the -plpython3 extension.
    (Closes: #651837)
  * Move pg_basebackup from the server to the client package, it's a
    client-side program.
  * debian/control: Re-add bison and flex build dependencies, so that the
    generated and shipped Makefile.global gets non-empty BISON and FLEX
    values. (Closes: #647135)

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Dec 2011 12:07:54 +0100

postgresql-9.1 (9.1.2-1~bpo50+1) lenny-backports-sloppy; urgency=low

  * Rebuild for lenny-backports-sloppy.
  * Disable python3 support.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Dec 2011 13:30:00 +0100

postgresql-9.1 (9.1.2-1) unstable; urgency=low

  * New upstream bug fix release:
    - Fix bugs in information_schema.referential_constraints view.
      This view was being insufficiently careful about matching the
      foreign-key constraint to the depended-on primary or unique key
      constraint. That could result in failure to show a foreign key
      constraint at all, or showing it multiple times, or claiming that
      it depends on a different constraint than the one it really does.
      Since the view definition is installed by initdb, merely upgrading
      will not fix the problem. If you need to fix this in an existing
      installation, you can (as a superuser) drop the information_schema
      schema then re-create it by sourcing
      "SHAREDIR/information_schema.sql". (Run pg_config --sharedir if
      you're uncertain where "SHAREDIR" is.) This must be repeated in
      each database to be fixed.
    - Make "contrib/citext"'s upgrade script fix collations of citext
      columns and indexes.
      Existing citext columns and indexes aren't correctly marked as
      being of a collatable data type during pg_upgrade from a pre-9.1
      server. That leads to operations on them failing with errors such
      as "could not determine which collation to use for string
      comparison". This change allows them to be fixed by the same script
      that upgrades the citext module into a proper 9.1 extension during
      CREATE EXTENSION citext FROM unpackaged.
      If you have a previously-upgraded database that is suffering from
      this problem, and you already ran the "CREATE EXTENSION" command,
      you can manually run (as superuser) the "UPDATE" commands found at
      the end of "SHAREDIR/extension/citext--unpackaged--1.0.sql". (Run
      pg_config --sharedir if you're uncertain where "SHAREDIR" is.)
    - Fix possible crash during "UPDATE" or "DELETE" that joins to the
      output of a scalar-returning function.
    - Fix incorrect replay of WAL records for GIN index updates.
    - Fix TOAST-related data corruption during CREATE TABLE dest AS
      SELECT - FROM src or INSERT INTO dest SELECT * FROM src.
    - Fix possible failures during hot standby startup.
    - Start hot standby faster when initial snapshot is incomplete.
    - Fix race condition during toast table access from stale syscache
      entries. The typical symptom was transient errors like "missing chunk
      number 0 for toast value NNNNN in pg_toast_2619", where the cited toast
      table would always belong to a system catalog.
    - Track dependencies of functions on items used in parameter default
      expressions. Previously, a referenced object could be dropped without
      having dropped or modified the function, leading to misbehavior when
      the function was used. Note that merely installing this update will not
      fix the missing dependency entries; to do that, you'd need to
      "CREATE OR REPLACE" each such function afterwards. If you have
      functions whose defaults depend on non-built-in objects, doing so
      is recommended.
    - Fix incorrect management of placeholder variables in nestloop joins.
      This bug is known to lead to "variable not found in subplan target
      list" planner errors, and could possibly result in wrong query
      output when outer joins are involved.
    - Fix window functions that sort by expressions involving aggregates.
    - Fix "MergeAppend child's targetlist doesn't match MergeAppend"
      planner errors.
    - Fix index matching for operators with both collatable and
      noncollatable inputs. In 9.1.0, an indexable operator that has a

