## postgresql-9.1 9.1.3

=== debian/changelog ===
postgresql-9.1 (9.1.3-2) unstable; urgency=low

  * debian/control, debian/rules: Support and prefer dpkg-buildflags when
    building with dpkg-dev >= 1.16.1~. Fall back to hardening-wrapper
    otherwise, to keep supporting backports.
  * debian/rules: Build with "-z now" for some extra hardening. We can't use
    the full "hardening=+all", as PIE causes build failures.
  * debian/copyright: Fix syntax for copyright format 1.0.
  * debian/control: Bump Breaks/Replaces versions to current binary version,
    so that e. g. the moved pg_basebackup does not cause upgrade errors when
    upgrading from higher point releases in previous distro releases.
    (LP: #944632)

 -- Martin Pitt <mpitt@debian.org>  Tue, 06 Mar 2012 11:55:57 +0100

postgresql-9.1 (9.1.3-1) unstable; urgency=medium

  * Urgency medium due to security fixes.
  * New upstream security/bug fix release:
    - Require execute permission on the trigger function for "CREATE
      TRIGGER".
      This missing check could allow another user to execute a trigger
      function with forged input data, by installing it on a table he
      owns. This is only of significance for trigger functions marked
      SECURITY DEFINER, since otherwise trigger functions run as the
      table owner anyway. (CVE-2012-0866)
    - Remove arbitrary limitation on length of common name in SSL
      certificates.
      Both libpq and the server truncated the common name extracted from
      an SSL certificate at 32 bytes. Normally this would cause nothing
      worse than an unexpected verification failure, but there are some
      rather-implausible scenarios in which it might allow one
      certificate holder to impersonate another. The victim would have to
      have a common name exactly 32 bytes long, and the attacker would
      have to persuade a trusted CA to issue a certificate in which the
      common name has that string as a prefix. Impersonating a server
      would also require some additional exploit to redirect client
      connections. (CVE-2012-0867)
    - Convert newlines to spaces in names written in pg_dump comments.
      pg_dump was incautious about sanitizing object names that are
      emitted within SQL comments in its output script. A name containing
      a newline would at least render the script syntactically incorrect.
      Maliciously crafted object names could present a SQL injection risk
      when the script is reloaded. (CVE-2012-0868)
    - Fix btree index corruption from insertions concurrent with
      vacuuming.
      An index page split caused by an insertion could sometimes cause a
      concurrently-running "VACUUM" to miss removing index entries that
      it should remove. After the corresponding table rows are removed,
      the dangling index entries would cause errors (such as "could not
      read block N in file ...") or worse, silently wrong query results
      after unrelated rows are re-inserted at the now-free table
      locations. This bug has been present since release 8.2, but occurs
      so infrequently that it was not diagnosed until now. If you have
      reason to suspect that it has happened in your database, reindexing
      the affected index will fix things.
    - Fix transient zeroing of shared buffers during WAL replay.
      The replay logic would sometimes zero and refill a shared buffer,
      so that the contents were transiently invalid. In hot standby mode
      this can result in a query that's executing in parallel seeing
      garbage data. Various symptoms could result from that, but the most
      common one seems to be "invalid memory alloc request size".
    - Fix handling of data-modifying WITH subplans in READ COMMITTED
      rechecking.
      A WITH clause containing "INSERT"/"UPDATE"/"DELETE" would crash if
      the parent "UPDATE" or "DELETE" command needed to be re-evaluated
      at one or more rows due to concurrent updates in READ COMMITTED
      mode.
    - Fix corner case in SSI transaction cleanup.
      When finishing up a read-write serializable transaction, a crash
      could occur if all remaining active serializable transactions are
      read-only.
    - Fix postmaster to attempt restart after a hot-standby crash.
      A logic error caused the postmaster to terminate, rather than
      attempt to restart the cluster, if any backend process crashed
      while operating in hot standby mode.
    - Fix "CLUSTER"/"VACUUM FULL" handling of toast values owned by
      recently-updated rows.
      This oversight could lead to "duplicate key value violates unique
      constraint" errors being reported against the toast table's index
      during one of these commands.
    - Update per-column permissions, not only per-table permissions, when
      changing table owner.
      Failure to do this meant that any previously granted column
      permissions were still shown as having been granted by the old
      owner. This meant that neither the new owner nor a superuser could
      revoke the now-untraceable-to-table-owner permissions.
    - Support foreign data wrappers and foreign servers in "REASSIGN
      OWNED".
      This command failed with "unexpected classid" errors if it needed
      to change the ownership of any such objects.
    - Allow non-existent values for some settings in "ALTER USER/DATABASE
      SET".
      Allow default_text_search_config, default_tablespace, and
      temp_tablespaces to be set to names that are not known. This is
      because they might be known in another database where the setting
      is intended to be used, or for the tablespace cases because the
      tablespace might not be created yet. The same issue was previously
      recognized for search_path, and these settings now act like that
      one.
    - Fix "unsupported node type" error caused by COLLATE in an "INSERT"
      expression.
    - Avoid crashing when we have problems deleting table files
      post-commit.

