=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: database
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Uploaders: Peter Eisentraut <petere@debian.org>, Gerfried Fuchs <rhonda@debian.org>, Christoph Berg <myon@debian.org>
-Standards-Version: 3.9.2
+Uploaders: Peter Eisentraut <petere@debian.org>
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.0.50~),
+ dpkg-dev (>= 1.16.1~) | hardening-wrapper,
  perl (>= 5.8),
  libperl-dev,
  tcl8.5-dev,
@@ -17,7 +18,7 @@
  libxslt1-dev,
  libossp-uuid-dev,
  python-dev,
-# python3-dev,
+ python3-dev,
  bison,
  flex,
  openjade,
@@ -25,8 +26,7 @@
  docbook-xsl,
  opensp,
  xsltproc,
- gettext,
- hardening-wrapper
+ gettext
 Homepage: http://www.postgresql.org/
 Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/debian-9.1
 Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/debian-9.1
@@ -127,8 +127,8 @@
 Suggests: oidentd | ident-server, locales-all
 Conflicts: postgresql (<< 7.5)
 Replaces: postgresql-contrib-9.1 (<< 9.1~beta1-3~),
- postgresql-plpython-9.1 (<< 9.1.2-2~)
-Breaks: postgresql-plpython-9.1 (<< 9.1.2-2~)
+ postgresql-plpython-9.1 (<< ${binary:Version})
+Breaks: postgresql-plpython-9.1 (<< ${binary:Version})
 Description: object-relational SQL database, version 9.1 server
  PostgreSQL is a fully featured object-relational database management
  system.  It supports a large part of the SQL standard and is designed
@@ -169,8 +169,8 @@
 Conflicts: postgresql (<< 7.5)
 Suggests: postgresql-9.1, postgresql-doc-9.1
 Provides: postgresql-client
-Breaks: postgresql-9.1 (<< 9.1.2-2~)
-Replaces: postgresql-9.1 (<< 9.1.2-2~)
+Breaks: postgresql-9.1 (<< ${binary:Version})
+Replaces: postgresql-9.1 (<< ${binary:Version})
 Description: front-end programs for PostgreSQL 9.1
  This package contains client and administrative programs for
  PostgreSQL: these are the interactive terminal client psql and
@@ -301,9 +301,9 @@
  .
  PostgreSQL is an object-relational SQL database management system.
 
-#Package: postgresql-plpython3-9.1
-#Architecture: any
-#Depends: ${misc:Depends},
-# ${shlibs:Depends},
-# postgresql-9.1 (= ${binary:Version})
-#Replaces: postgresql-plpython-9.1 (<< 9.1.1-2~)
+Package: postgresql-plpython3-9.1
+Architecture: any
+Depends: ${misc:Depends},
+ ${shlibs:Depends},
+ postgresql-9.1 (= ${binary:Version})
+Replaces: postgresql-plpython-9.1 (<< ${binary:Version})
