=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,12 @@
 #!/usr/bin/make	-f 
 TCL_VER := 8.5
 MAJOR_VER := 9.1
-LDFLAGS+= -Wl,--as-needed
+
+# support both hardening-wrapper (for backports) and dpkg-buildflags
+export DEB_BUILD_HARDENING = 1
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
+LDFLAGS+= -Wl,--as-needed -Wl,-z,now
 CFLAGS+= -fPIC
 
 # When protecting the postmaster with oom_adj=-17, allow the OOM killer to slay
@@ -16,7 +21,6 @@
     CFLAGS+=-O1
 endif
 
-export DEB_BUILD_HARDENING=1
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 
 COMMON_CONFIGURE_FLAGS= \
@@ -48,7 +52,7 @@
 %:
 	dh $@
 
-override_dh_auto_configure: stamp/configure-build
+override_dh_auto_configure: stamp/configure-build stamp/configure-build-py3
 
 stamp/configure-build:
 	mkdir -p stamp build
@@ -78,7 +82,7 @@
            $(COMMON_CONFIGURE_FLAGS)
 	touch "$@"
 
-override_dh_auto_build: stamp/build
+override_dh_auto_build: stamp/build stamp/build-py3
 
 stamp/build: stamp/configure-build
 	cd build && $(MAKE) world
@@ -96,7 +100,7 @@
 	touch "$@"
 
 override_dh_auto_install:
-	#make -C build-py3 install DESTDIR=$(CURDIR)/debian/tmp
+	make -C build-py3 install DESTDIR=$(CURDIR)/debian/tmp
 	make -C build install-world DESTDIR=$(CURDIR)/debian/tmp
 	# compress manpages
 	gzip -9n $(CURDIR)/debian/tmp/usr/share/postgresql/*/man/man*/*.[137]
