## postgresql-9.1 9.1.6

=== debian/changelog ===
postgresql-9.1 (9.1.6-1) unstable; urgency=medium

  * Urgency medium because of data loss bug fix.
  * New upstream bug fix release:
    - Fix persistence marking of shared buffers during WAL replay.
      This mistake can result in buffers not being written out during
      checkpoints, resulting in data corruption if the server later
      crashes without ever having written those buffers. Corruption can
      occur on any server following crash recovery, but it is
      significantly more likely to occur on standby slave servers since
      those perform much more WAL replay. There is a low probability of
      corruption of btree and GIN indexes. There is a much higher
      probability of corruption of table "visibility maps". Fortunately,
      visibility maps are non-critical data in 9.1, so the worst
      consequence of such corruption in 9.1 installations is transient
      inefficiency of vacuuming. Table data proper cannot be corrupted by
      this bug.
      While no index corruption due to this bug is known to have occurred
      in the field, as a precautionary measure it is recommended that
      production installations "REINDEX" all btree and GIN indexes at a
      convenient time after upgrading to 9.1.6.
      Also, if you intend to do an in-place upgrade to 9.2.X, before
      doing so it is recommended to perform a "VACUUM" of all tables
      while having vacuum_freeze_table_age set to zero. This will ensure
      that any lingering wrong data in the visibility maps is corrected
      before 9.2.X can depend on it. vacuum_cost_delay can be adjusted to
      reduce the performance impact of vacuuming, while causing it to
      take longer to finish.
    - See HISTORY/changelog.gz for the other bug fixes.
  * debian/rules: Compress all binaries with xz. Thanks Cyril Brulebois!
    (Closes: #688678)

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Sep 2012 05:40:23 +0200

postgresql-9.1 (9.1.5-2) unstable; urgency=low

  * debian/rules: Re-enable hardening functions (regression from 9.1.3-2 when
    hardening-wrapper is not installed). Use "hardening=all", but disable
    "pie" (as that's not compatible with -fPIC) and add -pie to CFLAGS
    explicitly. Also drop the explicit "-Wl,-z,now" linker option, as this is
    now implied with "all". (LP: #1039618)
  * Fix upgrades from older 9.1 releases in stable Ubuntu -updates/-security
    releasese. The strict "<< 9.1.4-2~" check for moving pg_basebackup.1.gz is
    not sufficient, as Ubuntu stables have newer upstream releases by now.
    - debian/control: Move Breaks/Replaces: from static version to
      ${binary:Version}.
    - debian/postgresql-9.1.preinst: Also fix the alternatives when upgrading
      from a -0something version.
    - (LP: #1043449)

 -- Martin Pitt <mpitt@debian.org>  Fri, 31 Aug 2012 09:54:27 +0200

postgresql-9.1 (9.1.5-1) unstable; urgency=medium

  * Urgency medium due to security fixes and bug fixes which should reach
    Wheezy quickly.
  * New upstream bug fix/security release:
    - Prevent access to external files/URLs via XML entity references.
      xml_parse() would attempt to fetch external files or URLs as needed
      to resolve DTD and entity references in an XML value, thus allowing
      unprivileged database users to attempt to fetch data with the
      privileges of the database server. While the external data wouldn't
      get returned directly to the user, portions of it could be exposed
      in error messages if the data didn't parse as valid XML; and in any
      case the mere ability to check existence of a file might be useful
      to an attacker. (CVE-2012-3489)
    - Prevent access to external files/URLs via "contrib/xml2"'s
      xslt_process().
      libxslt offers the ability to read and write both files and URLs
      through stylesheet commands, thus allowing unprivileged database
      users to both read and write data with the privileges of the
      database server. Disable that through proper use of libxslt's
      security options. (CVE-2012-3488)
      Also, remove xslt_process()'s ability to fetch documents and
      stylesheets from external files/URLs. While this was a documented
      "feature", it was long regarded as a bad idea. The fix for
      CVE-2012-3489 broke that capability, and rather than expend effort
      on trying to fix it, we're just going to summarily remove it.
    - Lots of other bug fixes, see HISTORY/changelog.gz.

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Aug 2012 14:41:52 +0200

postgresql-9.1 (9.1.4-3) unstable; urgency=medium

  Urgency medium: Trivial changes, and fixes RC bug.

  [ Christoph Berg ]
  * debian/source/options: Ignore test suite .sql files, to fix building
    twice in a row; ignore .bzr-builddeb/default.conf so bzr checkouts can be
    built using dpkg-buildpackage.

  [ Martin Pitt ]
  * debian/postgresql-9.1.postrm: Do not remove the directories
    /var/{lib,log}/postgresql/, they are owned by the postgresql-common
    package. (Closes: #681966)

 -- Martin Pitt <mpitt@debian.org>  Sat, 21 Jul 2012 16:53:55 +0200

postgresql-9.1 (9.1.4-2) unstable; urgency=low

  [ Christoph Berg ]
  * Some cosmetic changes to control and rules file.
  * Add myself to Uploaders.

  [ Martin Pitt ]
  * Move pg_basebackup *.mo files and man page to -client-9.2. Thanks to Peter
    Eisentraut for spotting this. (Closes: #674421)
  * debian/postgresql-9.1.preinst: Remove postmaster.1.gz alternative on
    upgrades to this version, so that the postinst can rebuild it. This is
    necessary to drop pg_basebackup.1.gz from the server alternatives group,
    so that it can go into the client group.
  * debian/postgresql-9.1.preinst: Drop obsolete transition code.
  * debian/rules: Set -DLINUX_OOM_ADJ in CPPFLAGS, not in CFLAGS. Thanks Peter
    Eisentraut. (Closes: #668300)

 -- Martin Pitt <mpitt@debian.org>  Fri, 22 Jun 2012 10:35:38 +0200

postgresql-9.1 (9.1.4-1) unstable; urgency=medium


