=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: postgresql-9.1
 Section: database
 Priority: optional
-Maintainer: Martin Pitt <mpitt@debian.org>
-Uploaders: Peter Eisentraut <petere@debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8~),
  dpkg-dev (>= 1.16.1~) | hardening-wrapper,
  perl (>= 5.8),
  libperl-dev,
  tcl8.5-dev,
  libedit-dev,
- libssl-dev, 
+ libssl-dev,
  zlib1g-dev | libz-dev,
  libpam0g-dev | libpam-dev,
- libxml2-dev, libkrb5-dev,
+ libxml2-dev,
+ libkrb5-dev,
  libldap2-dev,
  libxslt1-dev,
  libossp-uuid-dev,
@@ -28,8 +29,8 @@
  xsltproc,
  gettext
 Homepage: http://www.postgresql.org/
-Vcs-Browser: http://bazaar.launchpad.net/~pitti/postgresql/debian-9.1
-Vcs-Bzr: https://code.launchpad.net/~pitti/postgresql/debian-9.1
+Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-9.1/trunk
+Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-9.1/trunk/
 
 Package: libpq-dev
 Architecture: any
@@ -181,7 +182,7 @@
  postgresql-9.1, too. On a network, you can install this package on
  many client machines, while the server package may be installed on
  only one machine.
- .  
+ .
  PostgreSQL is an object-relational SQL database management system.
 
 Package: postgresql-server-dev-9.1
@@ -195,7 +196,7 @@
  Header files for compiling SSI code to link into PostgreSQL's backend; for
  example, for C functions to be called from SQL.
  .
- This package also contains the Makefiles necessary for building add-on 
+ This package also contains the Makefiles necessary for building add-on
  modules of PostgreSQL, which would otherwise have to be built in the
  PostgreSQL source-code tree.
  .
@@ -274,7 +275,7 @@
 
 Package: postgresql-plperl-9.1
 Architecture: any
-Depends: ${misc:Depends}, 
+Depends: ${misc:Depends},
  ${shlibs:Depends},
  postgresql-9.1 (= ${binary:Version}),
  perl
@@ -305,5 +306,3 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends},
- postgresql-9.1 (= ${binary:Version})
-Replaces: postgresql-plpython-9.1 (<< ${binary:Version})
