## postgresql-9.1 9.1.7

=== debian/changelog ===
postgresql-9.1 (9.1.7-0ubuntu12.04) precise-proposed; urgency=low

  * New upstream bug fix release: (LP: #1088393)
    - Fix multiple bugs associated with "CREATE INDEX CONCURRENTLY".
      Fix "CREATE INDEX CONCURRENTLY" to use in-place updates when
      changing the state of an index's pg_index row. This prevents race
      conditions that could cause concurrent sessions to miss updating
      the target index, thus resulting in corrupt concurrently-created
      indexes.
      Also, fix various other operations to ensure that they ignore
      invalid indexes resulting from a failed "CREATE INDEX CONCURRENTLY"
      command. The most important of these is "VACUUM", because an
      auto-vacuum could easily be launched on the table before corrective
      action can be taken to fix or remove the invalid index.
    - Fix buffer locking during WAL replay.
      The WAL replay code was insufficiently careful about locking
      buffers when replaying WAL records that affect more than one page.
      This could result in hot standby queries transiently seeing
      inconsistent states, resulting in wrong answers or unexpected
      failures.
    - See HISTORY/changelog.gz for the other bug fixes.
  * Drop 00git_ecpg_array_bounds.patch, fixed upstream.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Dec 2012 14:54:49 +0100

postgresql-9.1 (9.1.6-0ubuntu12.04.1) precise-proposed; urgency=low

  * Add debian/patches/00git_ecpg_array_bounds.patch: Fix test for array
    boundary in ecpg. Patch backported from upstream git. (LP: #1063613)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Oct 2012 17:36:30 +0200

postgresql-9.1 (9.1.6-0ubuntu12.04) precise-proposed; urgency=low

  * New upstream bug fix release: (LP: #1055944)
    - Fix persistence marking of shared buffers during WAL replay.
      This mistake can result in buffers not being written out during
      checkpoints, resulting in data corruption if the server later
      crashes without ever having written those buffers. Corruption can
      occur on any server following crash recovery, but it is
      significantly more likely to occur on standby slave servers since
      those perform much more WAL replay. There is a low probability of
      corruption of btree and GIN indexes. There is a much higher
      probability of corruption of table "visibility maps". Fortunately,
      visibility maps are non-critical data in 9.1, so the worst
      consequence of such corruption in 9.1 installations is transient
      inefficiency of vacuuming. Table data proper cannot be corrupted by
      this bug.
      While no index corruption due to this bug is known to have occurred
      in the field, as a precautionary measure it is recommended that
      production installations "REINDEX" all btree and GIN indexes at a
      convenient time after upgrading to 9.1.6.
      Also, if you intend to do an in-place upgrade to 9.2.X, before
      doing so it is recommended to perform a "VACUUM" of all tables
      while having vacuum_freeze_table_age set to zero. This will ensure
      that any lingering wrong data in the visibility maps is corrected
      before 9.2.X can depend on it. vacuum_cost_delay can be adjusted to
      reduce the performance impact of vacuuming, while causing it to
      take longer to finish.
    - See HISTORY/changelog.gz for the other bug fixes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Sep 2012 07:21:13 +0200

postgresql-9.1 (9.1.5-0ubuntu12.04) precise-security; urgency=low

  * New upstream bug fix/security release:
   - Prevent access to external files/URLs via XML entity references
     (Noah Misch, Tom Lane)
     xml_parse() would attempt to fetch external files or URLs as needed
     to resolve DTD and entity references in an XML value, thus allowing
     unprivileged database users to attempt to fetch data with the
     privileges of the database server. While the external data wouldn't
     get returned directly to the user, portions of it could be exposed
     in error messages if the data didn't parse as valid XML; and in any
     case the mere ability to check existence of a file might be useful
     to an attacker. (CVE-2012-3489)
   - Prevent access to external files/URLs via "contrib/xml2"'s
     xslt_process() (Peter Eisentraut)
     libxslt offers the ability to read and write both files and URLs
     through stylesheet commands, thus allowing unprivileged database
     users to both read and write data with the privileges of the
     database server. Disable that through proper use of libxslt's
     security options. (CVE-2012-3488)
     Also, remove xslt_process()'s ability to fetch documents and
     stylesheets from external files/URLs. While this was a documented
     "feature", it was long regarded as a bad idea. The fix for
     CVE-2012-3489 broke that capability, and rather than expend effort
     on trying to fix it, we're just going to summarily remove it.
   - Prevent too-early recycling of btree index pages (Noah Misch)
     When we allowed read-only transactions to skip assigning XIDs, we
     introduced the possibility that a deleted btree page could be
     recycled while a read-only transaction was still in flight to it.
     This would result in incorrect index search results. The
     probability of such an error occurring in the field seems very low
     because of the timing requirements, but nonetheless it should be
     fixed.
   - Fix crash-safety bug with newly-created-or-reset sequences (Tom
     Lane)
     If "ALTER SEQUENCE" was executed on a freshly created or reset
     sequence, and then precisely one nextval() call was made on it, and
     then the server crashed, WAL replay would restore the sequence to a
     state in which it appeared that no nextval() had been done, thus
     allowing the first sequence value to be returned again by the next
     nextval() call. In particular this could manifest for serial
